include	clib.inc
include	dos.inc

PPROC	getftime, handle:WORD
	push	bx
	push	cx
	mov	bx,handle
	mov	ax,5700h
	int	21h
	jc	getftime_err
	mov	ax,cx
    getftime_end:
	test	ax,ax
	pop	cx
	pop	bx
	ret
    getftime_err:
	call	@dosmaper
	xor	ax,ax
	jmp	getftime_end
PEND	getftime

	END
